Spec0docsCLI 0.7.0
API Explorer

Create a mock server for a known API

Provide either apiId or apiName. If a mock already exists for the (api, team) pair the existing one is returned (idempotent).

POST
/api/v1/public/mocks

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token. Either a Personal Access Token (pat_...) or a Service Account Token (sat_...). Issued via the Spec0 dashboard or /me/personal-access-tokens.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.spec0.io/api/v1/public/mocks" \  -H "Content-Type: application/json" \  -d '{}'
{
  "mockServerId": "ab6f0051-1ea2-4f26-bcfb-0e9ea431b824",
  "apiName": "string",
  "mockBaseUrl": "string",
  "created": true,
  "apiKey": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string",
  "type": "string",
  "instance": "string"
}
{
  "error": "string",
  "message": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string",
  "type": "string",
  "instance": "string"
}
{
  "status": 0,
  "title": "string",
  "detail": "string",
  "type": "string",
  "instance": "string"
}
Was this helpful?